// src/pkg/server.ts
// 需要先載入
import "module-alias/register";

// // 必載入
// import "../Utils/catan.ts";

import { WebSocketServer } from 'ws';
import { NetConnector } from "../script/Engine/CatanEngine/NetManagerV2/NetConnector";

/*
http://119.77.165.60/MyWeb/SD2/slot1/index.html?token=test&slotid=1&v=1724652287&host=127.0.0.1&language=zh-tw&logo=2&pl=1
http://entry.lybobet.com/casino_sd_2/resource-internal/_Debug/slot1/index.html?token=test&slotid=1&v=1724652287&host=127.0.0.1&language=zh-tw&logo=2&pl=1
ws://192.168.5.36:9005
ws://127.0.0.1:9005
*/

const port: number = process.env.PORT ? parseInt(process.env.PORT, 10) : 8080;  // 默认端口为 8080
const server = new WebSocketServer({ port: 8080 });

// server.on('connection', (socket: WebSocket) => {
// 	console.log('客户端已连接');

// 	// 发送消息到客户端
// 	socket.send('欢迎连接到WebSocket服务器');

// 	// 接收来自客户端的消息
// 	socket.on('message', (message: string) => {
// 		console.log(`收到客户端消息: ${message}`);

// 		// 回应消息
// 		socket.send(`服务器收到你的消息: ${message}`);
// 	});

// 	// 处理客户端断开连接
// 	socket.on('close', () => {
// 		console.log('客户端已断开连接');
// 	});
// });
server.on('connection', NetConnector.OnWebSocketConnection);

console.log('WebSocket服务器运行在 ws://localhost:8080');
